"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _utils = require("../lib/utils");
var _color = _interopRequireDefault(require("../style/color"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var Icon = function Icon(_ref) {
  var children = _ref.children,
    color = _ref.color,
    size = _ref.size;
  var style = (0, _utils.calculateStyles)({
    "default": {
      width: '1rem',
      height: '1rem'
    },
    color: {
      fill: (0, _utils.parseColor)(color)
    },
    small: {
      width: '0.75rem',
      height: '0.75rem'
    },
    large: {
      width: '2rem',
      height: '2rem'
    },
    customSize: {
      width: size ? size.width || size.height : '1rem',
      height: size ? size.height || size.width : '1rem'
    }
  }, {
    color: color,
    small: size === 'small',
    large: size === 'large',
    customSize: size && (size.width || size.height)
  });
  return /*#__PURE__*/_react["default"].createElement("svg", {
    style: style,
    width: "100%",
    height: "100%",
    viewBox: "0 0 16 16",
    version: "1.1",
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink"
  }, /*#__PURE__*/_react["default"].createElement("g", {
    className: color
  }, children));
};
Icon.defaultProps = {
  color: 'shuttleGray'
};
Icon.propTypes = {
  children: _propTypes["default"].node,
  color: _propTypes["default"].oneOf(Object.keys(_color["default"])),
  size: _propTypes["default"].oneOfType([_propTypes["default"].oneOf(['small', 'large']), _propTypes["default"].shape({
    width: _propTypes["default"].string,
    height: _propTypes["default"].string
  })])
};
var _default = Icon;
exports["default"] = _default;