"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _utils = require("../lib/utils");
var _border = require("../style/border");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var Image = function Image(_ref) {
  var src = _ref.src,
    alt = _ref.alt,
    width = _ref.width,
    height = _ref.height,
    maxHeight = _ref.maxHeight,
    maxWidth = _ref.maxWidth,
    marginTop = _ref.marginTop,
    marginBottom = _ref.marginBottom,
    minHeight = _ref.minHeight,
    minWidth = _ref.minWidth,
    border = _ref.border,
    objectFit = _ref.objectFit,
    verticalAlignBottom = _ref.verticalAlignBottom,
    pad = _ref.pad,
    className = _ref.className;
  var style = (0, _utils.calculateStyles)({
    "default": {
      height: height,
      width: width,
      maxHeight: maxHeight,
      maxWidth: maxWidth,
      minHeight: minHeight,
      minWidth: minWidth,
      objectFit: objectFit,
      marginTop: marginTop,
      marginBottom: marginBottom
    },
    circle: {
      borderRadius: '50%'
    },
    rounded: {
      borderRadius: _border.borderRadius
    },
    verticalAlignBottom: {
      verticalAlign: 'bottom'
    },
    pad: {
      border: '0.2rem solid white'
    }
  }, {
    circle: border === 'circle',
    rounded: border === 'rounded',
    verticalAlignBottom: verticalAlignBottom,
    pad: pad
  });
  return /*#__PURE__*/_react["default"].createElement("img", {
    src: src,
    alt: alt,
    style: style,
    className: className
  });
};
Image.propTypes = {
  alt: _propTypes["default"].string,
  border: _propTypes["default"].oneOf(['circle', 'rounded']),
  height: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number]),
  marginTop: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number]),
  marginBottom: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number]),
  maxHeight: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number]),
  maxWidth: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number]),
  minHeight: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number]),
  minWidth: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number]),
  objectFit: _propTypes["default"].oneOf(['fill', 'contain', 'cover', 'none', 'scale-down']),
  src: _propTypes["default"].string.isRequired,
  verticalAlignBottom: _propTypes["default"].bool,
  width: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number]),
  pad: _propTypes["default"].bool,
  className: _propTypes["default"].string
};
Image.defaultProps = {
  alt: '',
  pad: false
};
var _default = Image;
exports["default"] = _default;