"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactDayPicker = _interopRequireDefault(require("react-day-picker"));
var _Icons = require("../../Icon/Icons");
var _Button = _interopRequireDefault(require("../../Button"));
var _moment = _interopRequireDefault(require("moment"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var styles = {
  navbar: {
    position: 'absolute',
    left: 'unset',
    right: 0,
    width: '2.5rem'
  },
  left: {
    "float": 'left'
  },
  right: {
    "float": 'right'
  },
  align: {
    verticalAlign: 'middle'
  }
};
var NavBar = function NavBar(_ref) {
  var month = _ref.month,
    nextMonth = _ref.nextMonth,
    previousMonth = _ref.previousMonth,
    onPreviousClick = _ref.onPreviousClick,
    onNextClick = _ref.onNextClick,
    firstMonthToDisplay = _ref.firstMonthToDisplay,
    onNavigationClick = _ref.onNavigationClick;
  var onNext = function onNext() {
    onNextClick();
    onNavigationClick(nextMonth);
  };
  var onPrev = function onPrev() {
    onPreviousClick();
    onNavigationClick(previousMonth);
  };
  var disablePreviousButton = (0, _moment["default"])(month).isAfter(firstMonthToDisplay, 'month') ? false : true;
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: styles.navbar
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: styles.left
  }, /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    type: 'button',
    noStyle: true,
    disabled: disablePreviousButton ? true : false,
    onClick: onPrev
  }, /*#__PURE__*/_react["default"].createElement("span", {
    style: styles.align
  }, /*#__PURE__*/_react["default"].createElement(_Icons.ArrowLeftIcon, {
    color: disablePreviousButton ? 'geyser' : 'black'
  })))), /*#__PURE__*/_react["default"].createElement("div", {
    style: styles.right
  }, /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    type: 'button',
    noStyle: true,
    onClick: onNext
  }, /*#__PURE__*/_react["default"].createElement("span", {
    style: styles.align
  }, /*#__PURE__*/_react["default"].createElement(_Icons.ArrowRightIcon, {
    color: 'black'
  })))));
};
NavBar.propTypes = {
  firstMonthToDisplay: _propTypes["default"].instanceOf(Date),
  onNavigationClick: _propTypes["default"].func
};
NavBar.defaultProps = {
  firstMonthToDisplay: (0, _moment["default"])().toDate(),
  onNavigationClick: function onNavigationClick() {}
};
var _default = NavBar;
exports["default"] = _default;