"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Text = _interopRequireDefault(require("../../Text"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var WeekDay = function WeekDay(_ref) {
  var weekdayLength = _ref.weekdayLength,
    weekday = _ref.weekday,
    className = _ref.className,
    localeUtils = _ref.localeUtils,
    locale = _ref.locale;
  var styles = {
    weekday: {
      display: 'table-cell',
      padding: '.5rem 0',
      textAlign: 'center',
      width: '3rem'
    }
  };
  var weekdaysList = localeUtils.formatWeekdayLong(weekday, locale);
  var getWeekdayName = function getWeekdayName(weekdaysList, weekdayLength) {
    switch (weekdayLength) {
      case 'short':
        return weekdaysList.slice(0, 1);
        break;
      case 'medium':
        return weekdaysList.slice(0, 2);
        break;
      case 'long':
        return weekdaysList;
        break;
      default:
        return weekdaysList;
    }
  };
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: styles.weekday,
    title: weekdaysList
  }, /*#__PURE__*/_react["default"].createElement(_Text["default"], {
    color: 'lightSlate',
    size: 'small'
  }, getWeekdayName(weekdaysList, weekdayLength)));
};
WeekDay.propTypes = {
  weekdayLength: _propTypes["default"].oneOf(['short', 'medium', 'long'])
};
WeekDay.defaultProps = {
  weekdayLength: 'short'
};
var _default = WeekDay;
exports["default"] = _default;