"use strict";

var _react = _interopRequireDefault(require("react"));
var _react2 = require("@storybook/react");
var _addonActions = require("@storybook/addon-actions");
var _addonA11y = require("@storybook/addon-a11y");
var _index = _interopRequireDefault(require("./index"));
var _moment = _interopRequireDefault(require("moment"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var daySelected = (0, _moment["default"])('2015-08-22').toDate();
var date = [(0, _moment["default"])('2015-07-01').toDate(), (0, _moment["default"])('2015-08-01').toDate()];
(0, _react2.storiesOf)('InputDate', module).addDecorator(_addonA11y.withA11y).add('default', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      value: '',
      onChange: (0, _addonActions.action)('on-change')
    },
    initialMonthYear: {
      month: 7,
      year: 2015
    },
    firstMonthToDisplay: date[1]
  });
}).add('display one month in past', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      value: '',
      onChange: (0, _addonActions.action)('on-change')
    },
    firstMonthToDisplay: date[0],
    initialMonth: date[1]
  });
}).add('with day selected', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      value: {
        day: 21,
        month: 7,
        year: 2015
      },
      onChange: (0, _addonActions.action)('on-change')
    },
    initialMonthYear: {
      month: 7,
      year: 2015
    },
    firstMonthToDisplay: date[1],
    selectedDays: daySelected
  });
}).add('with disabled days', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      value: '',
      onChange: (0, _addonActions.action)('on-change')
    },
    initialMonthYear: {
      month: 7,
      year: 2015
    },
    disableBefore: {
      day: 21,
      month: 7,
      year: 2015
    },
    firstMonthToDisplay: date[1]
  });
}).add('with error', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      value: '',
      onChange: (0, _addonActions.action)('on-change')
    },
    initialMonthYear: {
      month: 7,
      year: 2015
    },
    meta: {
      error: 'a date must be selected',
      touched: true
    },
    firstMonthToDisplay: date[1]
  });
}).add('with submitting', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      value: '',
      onChange: (0, _addonActions.action)('on-change')
    },
    initialMonthYear: {
      month: 7,
      year: 2015
    },
    meta: {
      submitting: true
    },
    firstMonthToDisplay: date[1]
  });
}).add('with start of week monday', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      value: '',
      onChange: (0, _addonActions.action)('on-change')
    },
    initialMonthYear: {
      month: 7,
      year: 2015
    },
    firstMonthToDisplay: date[1],
    firstDayOfWeek: 1
  });
});