"use strict";

var _react = _interopRequireDefault(require("react"));
var _enzyme = require("enzyme");
var _enzymeAdapterReact = _interopRequireDefault(require("enzyme-adapter-react-16"));
var _index = _interopRequireDefault(require("./index"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _enzyme.configure)({
  adapter: new _enzymeAdapterReact["default"]()
});
describe('InputDate', function () {
  it('should trigger onChange when active day is clicked', function () {
    var onChange = jest.fn();
    var wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react["default"].createElement(_index["default"], {
      input: {
        value: '',
        onChange: onChange
      },
      initialMonthYear: {
        month: 21,
        year: 7
      }
    }));
    wrapper.find('.DayPicker-Day').not('.DayPicker-Day--disabled').not('.DayPicker-Day--outside').first().simulate('click');
    expect(onChange).toBeCalled();
  });
  it('should NOT trigger onChange when inactive day is clicked', function () {
    var onChange = jest.fn();
    var wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react["default"].createElement(_index["default"], {
      input: {
        value: '',
        onChange: onChange
      },
      disableBefore: {
        day: 21,
        month: 7,
        year: 2015
      },
      initialMonthYear: {
        month: 21,
        year: 7
      }
    }));
    wrapper.find('.DayPicker-Day--disabled').not('.DayPicker-Day--outside').first().simulate('click');
    expect(onChange).not.toBeCalled();
  });
});