"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _utils = require("../lib/utils");
var _font = require("../style/font");
var _border = require("../style/border");
var _color = require("../style/color");
var _Text = _interopRequireDefault(require("../Text"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
/* eslint-disable react/prop-types */

var labelStyle = {
  marginBottom: '0.25rem'
};
var errorStyle = {
  marginTop: '0.25rem'
};
var renderLabel = function renderLabel(_ref) {
  var label = _ref.label;
  return label ? /*#__PURE__*/_react["default"].createElement("div", {
    style: labelStyle
  }, /*#__PURE__*/_react["default"].createElement(_Text["default"], {
    size: "small",
    weight: "semi-bold"
  }, label)) : null;
};
var renderError = function renderError(_ref2) {
  var error = _ref2.error,
    touched = _ref2.touched;
  return error && touched ? /*#__PURE__*/_react["default"].createElement("div", {
    style: errorStyle
  }, /*#__PURE__*/_react["default"].createElement(_Text["default"], {
    size: "small",
    color: "torchRed"
  }, error)) : null;
};

/* eslint-enable react/prop-types */

var InputStateless = function InputStateless(_ref3) {
  var input = _ref3.input,
    label = _ref3.label,
    meta = _ref3.meta,
    placeholder = _ref3.placeholder,
    type = _ref3.type,
    focused = _ref3.focused,
    onFocus = _ref3.onFocus,
    onBlur = _ref3.onBlur,
    onMouseEnter = _ref3.onMouseEnter,
    onMouseLeave = _ref3.onMouseLeave;
  var style = (0, _utils.calculateStyles)({
    "default": {
      fontFamily: _font.fontFamily,
      fontSize: _font.fontSize,
      padding: '0.5rem',
      borderRadius: _border.borderRadius,
      border: "".concat(_border.borderWidth, " solid ").concat(_color.geyser),
      borderColor: _color.geyser,
      width: '100%',
      boxSizing: 'border-box',
      outline: 0
    },
    focused: {
      borderColor: _color.curiousBlue
    },
    error: {
      borderColor: _color.torchRed
    }
  }, {
    focused: focused,
    error: meta.error && meta.touched
  });
  return /*#__PURE__*/_react["default"].createElement("div", null, renderLabel({
    label: label
  }), type === 'textarea' ? /*#__PURE__*/_react["default"].createElement("textarea", {
    style: style,
    disabled: meta.submitting,
    value: input.value,
    onChange: input.onChange,
    placeholder: placeholder,
    type: type,
    onFocus: onFocus,
    onBlur: onBlur,
    onMouseEnter: onMouseEnter,
    onMouseLeave: onMouseLeave
  }) : /*#__PURE__*/_react["default"].createElement("input", {
    style: style,
    disabled: meta.submitting,
    value: input.value,
    onChange: input.onChange,
    placeholder: placeholder,
    type: type,
    onFocus: onFocus,
    onBlur: onBlur,
    onMouseEnter: onMouseEnter,
    onMouseLeave: onMouseLeave
  }), renderError(meta));
};
InputStateless.commonPropTypes = {
  input: _propTypes["default"].shape({
    value: _propTypes["default"].string
  }),
  label: _propTypes["default"].string,
  meta: _propTypes["default"].shape({
    error: _propTypes["default"].string,
    touched: _propTypes["default"].bool,
    submitting: _propTypes["default"].bool
  }),
  placeholder: _propTypes["default"].string
};
InputStateless.propTypes = _objectSpread(_objectSpread({}, InputStateless.commonPropTypes), {}, {
  type: _propTypes["default"].oneOf(['text', 'password', 'email', 'textarea']),
  onFocus: _propTypes["default"].func,
  onBlur: _propTypes["default"].func,
  onMouseEnter: _propTypes["default"].func,
  onMouseLeave: _propTypes["default"].func
});
InputStateless.defaultProps = {
  input: {},
  meta: {},
  type: 'text'
};
var _default = InputStateless;
exports["default"] = _default;