"use strict";

var _react = _interopRequireDefault(require("react"));
var _react2 = require("@storybook/react");
var _addonActions = require("@storybook/addon-actions");
var _addonA11y = require("@storybook/addon-a11y");
var _index = _interopRequireDefault(require("./index"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var input = {
  value: 'user123',
  onChange: (0, _addonActions.action)('on-change')
};
(0, _react2.storiesOf)('InputStateless', module).addDecorator(_addonA11y.withA11y).add('default', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: input
  });
}).add('with label', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: input,
    label: "Username"
  });
}).add('with error', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    label: "Username",
    input: input,
    meta: {
      error: 'unknown user',
      touched: true
    }
  });
}).add('with placeholder', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    label: "Username",
    placeholder: "ex: kitteh1234"
  });
}).add('with type = password', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: input,
    type: "password"
  });
}).add('with type = email', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      value: 'test@test.com',
      onChange: (0, _addonActions.action)('on-change')
    },
    type: "email"
  });
}).add('with submitting = true', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: input,
    meta: {
      submitting: true
    }
  });
}).add('focused', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: input,
    focused: true
  });
}).add('onFocus + onBlur', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: input,
    onFocus: (0, _addonActions.action)('on-focus'),
    onBlur: (0, _addonActions.action)('on-blur')
  });
}).add('with type = textarea', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    type: "textarea",
    input: input
  });
}).add('with type = textarea & with label', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    type: "textarea",
    input: input,
    label: "Username"
  });
}).add('with type = textarea & with error', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    type: "textarea",
    label: "Username",
    input: input,
    meta: {
      error: 'unknown user',
      touched: true
    }
  });
}).add('with type = textarea & with placeholder', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    type: "textarea",
    label: "Username",
    placeholder: "ex: kitteh1234"
  });
}).add('with type = textarea & with submitting = true', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    type: "textarea",
    input: input,
    meta: {
      submitting: true
    }
  });
}).add('with type = textarea & focused', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    type: "textarea",
    input: input,
    focused: true
  });
}).add('with type = textarea & onFocus + onBlur', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    type: "textarea",
    input: input,
    onFocus: (0, _addonActions.action)('on-focus'),
    onBlur: (0, _addonActions.action)('on-blur')
  });
});