"use strict";

var _react = _interopRequireDefault(require("react"));
var _react2 = require("@storybook/react");
var _addonActions = require("@storybook/addon-actions");
var _addonA11y = require("@storybook/addon-a11y");
var _index = _interopRequireDefault(require("./index"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var input = {
  value: 'this is some longer text, that is probably longer than a standard input',
  onChange: (0, _addonActions.action)('on-change')
};
(0, _react2.storiesOf)('InputTextarea', module).addDecorator(_addonA11y.withA11y).add('default', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: input
  });
}).add('with label', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: input,
    label: "Text Area"
  });
}).add('with error', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    label: "Text Area",
    input: input,
    meta: {
      error: 'text is tooooo long',
      touched: true
    }
  });
}).add('with placeholder', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    label: "Text Area",
    placeholder: "write a novel"
  });
}).add('with submitting = true', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: input,
    meta: {
      submitting: true
    }
  });
});