"use strict";

var _react = _interopRequireDefault(require("react"));
var _react2 = require("@storybook/react");
var _addonActions = require("@storybook/addon-actions");
var _addonA11y = require("@storybook/addon-a11y");
var _index = _interopRequireDefault(require("./index"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _react2.storiesOf)('InputTime', module).addDecorator(_addonA11y.withA11y).add('default', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      onChange: (0, _addonActions.action)('on-change'),
      value: ''
    }
  });
}).add('disabled', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    disabled: true,
    input: {
      onChange: (0, _addonActions.action)('on-change'),
      value: ''
    }
  });
}).add('minimal', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      onChange: (0, _addonActions.action)('on-change'),
      value: ''
    },
    minimal: true
  });
}).add('minimal with 24 hour selection', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      onChange: (0, _addonActions.action)('on-change'),
      value: ''
    },
    minimal: true,
    select24Hours: true
  });
}).add('with 24 hour selection', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      onChange: (0, _addonActions.action)('on-change'),
      value: ''
    },
    select24Hours: true
  });
}).add('with value set', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      onChange: (0, _addonActions.action)('on-change'),
      value: {
        hours: 10,
        minutes: 32
      }
    }
  });
}).add('with afternoon value set', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      onChange: (0, _addonActions.action)('on-change'),
      value: {
        hours: 11,
        minutes: 32
      }
    }
  });
}).add('with afternoon value set and 24 hour selection', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      onChange: (0, _addonActions.action)('on-change'),
      value: {
        hours: 16,
        minutes: 33
      }
    },
    select24Hours: true
  });
}).add('with form submitting', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      onChange: (0, _addonActions.action)('on-change'),
      value: {
        hours: 16,
        minutes: 33
      }
    },
    meta: {
      submitting: true
    }
  });
}).add('displayTimeColon', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      onChange: (0, _addonActions.action)('on-change'),
      value: ''
    },
    displayTimeColon: true
  });
}).add('displayTimeColon minimal', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      onChange: (0, _addonActions.action)('on-change'),
      value: ''
    },
    displayTimeColon: true,
    minimal: true
  });
}).add('small', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    input: {
      onChange: (0, _addonActions.action)('on-change'),
      value: ''
    },
    fontSize: 'small'
  });
});