"use strict";

var _react = _interopRequireDefault(require("react"));
var _enzyme = require("enzyme");
var _enzymeAdapterReact = _interopRequireDefault(require("enzyme-adapter-react-16"));
var _index = _interopRequireDefault(require("./index"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _enzyme.configure)({
  adapter: new _enzymeAdapterReact["default"]()
});
describe('InputTime', function () {
  it('should trigger onChange when hour is selected', function () {
    var onChange = jest.fn();
    var wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react["default"].createElement(_index["default"], {
      input: {
        onChange: onChange
      }
    }));
    wrapper.find('select').first().simulate('change', {
      target: {
        value: 5
      }
    });
    expect(onChange).toBeCalledWith({
      hours: 5,
      minutes: 0
    });
  });
  it('should trigger onChange when minute is selected', function () {
    var onChange = jest.fn();
    var wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react["default"].createElement(_index["default"], {
      input: {
        onChange: onChange
      }
    }));
    wrapper.find('select').at(1).simulate('change', {
      target: {
        value: 35
      }
    });
    expect(onChange).toBeCalledWith({
      hours: 0,
      minutes: 35
    });
  });
  it('should trigger onChange when pm is selected', function () {
    var onChange = jest.fn();
    var wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react["default"].createElement(_index["default"], {
      input: {
        onChange: onChange
      }
    }));
    wrapper.find('select').last().simulate('change', {
      target: {
        value: 'PM'
      }
    });
    expect(onChange).toBeCalledWith({
      hours: 12,
      minutes: 0
    });
  });
  it('should trigger onChange when am is selected', function () {
    var onChange = jest.fn();
    var wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react["default"].createElement(_index["default"], {
      input: {
        value: {
          hours: 14,
          minutes: 0
        },
        onChange: onChange
      }
    }));
    wrapper.find('select').last().simulate('change', {
      target: {
        value: 'AM'
      }
    });
    expect(onChange).toBeCalledWith({
      hours: 2,
      minutes: 0
    });
  });
});