"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _utils = require("../lib/utils");
var _color = require("../style/color");
var _focused = require("../style/focused");
var _font = require("../style/font");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var Link = function Link(_ref) {
  var children = _ref.children,
    hovered = _ref.hovered,
    href = _ref.href,
    focused = _ref.focused,
    newTab = _ref.newTab,
    unstyled = _ref.unstyled,
    onMouseEnter = _ref.onMouseEnter,
    onMouseLeave = _ref.onMouseLeave,
    onFocus = _ref.onFocus,
    onBlur = _ref.onBlur,
    onClick = _ref.onClick,
    padding = _ref.padding,
    block = _ref.block,
    className = _ref.className;
  var style = (0, _utils.calculateStyles)({
    "default": {
      color: _color.curiousBlue,
      fontFamily: _font.fontFamily,
      padding: padding
    },
    hovered: {
      color: _color.denim
    },
    unstyled: {
      textDecoration: 'none',
      outline: 'none'
    },
    block: {
      display: 'block'
    },
    focused: unstyled ? '' : _focused.focusedStyle
  }, {
    hovered: hovered,
    unstyled: unstyled,
    focused: focused,
    block: block
  });
  return /*#__PURE__*/_react["default"].createElement("a", {
    style: style,
    href: href,
    target: newTab ? '_blank' : '_self',
    onMouseEnter: onMouseEnter,
    onMouseLeave: onMouseLeave,
    onFocus: onFocus,
    onBlur: onBlur,
    onClick: onClick,
    className: className
  }, children);
};
Link.propTypes = {
  children: _propTypes["default"].node,
  hovered: _propTypes["default"].bool,
  href: _propTypes["default"].string,
  focused: _propTypes["default"].bool,
  newTab: _propTypes["default"].bool,
  unstyled: _propTypes["default"].bool,
  onMouseEnter: _propTypes["default"].func,
  onMouseLeave: _propTypes["default"].func,
  onFocus: _propTypes["default"].func,
  onBlur: _propTypes["default"].func,
  onClick: _propTypes["default"].func,
  padding: _propTypes["default"].string,
  block: _propTypes["default"].bool,
  className: _propTypes["default"].string
};
Link.defaultProps = {
  padding: '0',
  block: false
};
var _default = Link;
exports["default"] = _default;