"use strict";

var _react = _interopRequireDefault(require("react"));
var _react2 = require("@storybook/react");
var _addonA11y = require("@storybook/addon-a11y");
var _index = _interopRequireDefault(require("./index"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _react2.storiesOf)('LinkifiedText', module).addDecorator(_addonA11y.withA11y).add('default', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    links: [{
      rawString: 'http://t.co/0JG5Mcq',
      displayString: 'blog.twitter.com/2011/05/twitte…',
      url: 'http://blog.twitter.com/2011/05/twitter-for-mac-update.html',
      indices: [2, 21]
    }]
  }, "a http://t.co/0JG5Mcq b");
}).add('empty string', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], null, '');
}).add('no links', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], null, "a b");
}).add('size: small', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    links: [{
      rawString: 'http://t.co/0JG5Mcq',
      displayString: 'blog.twitter.com/2011/05/twitte…',
      url: 'http://blog.twitter.com/2011/05/twitter-for-mac-update.html',
      indices: [2, 21]
    }],
    size: "small"
  }, "a http://t.co/0JG5Mcq b");
}).add('two links', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    links: [{
      rawString: 'http://t.co/0JG5Mcq',
      displayString: 'blog.twitter.com/2011/05/twitte…',
      url: 'http://blog.twitter.com/2011/05/twitter-for-mac-update.html',
      indices: [2, 21]
    }, {
      rawString: 'https://buffer.com',
      displayString: 'buffer.com',
      url: 'https://buffer.com',
      indices: [24, 42]
    }]
  }, "a http://t.co/0JG5Mcq b https://buffer.com c");
}).add('unstyled', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    links: [{
      rawString: 'http://t.co/0JG5Mcq',
      displayString: 'blog.twitter.com/2011/05/twitte…',
      url: 'http://blog.twitter.com/2011/05/twitter-for-mac-update.html',
      indices: [2, 21]
    }],
    unstyled: true
  }, "a http://t.co/0JG5Mcq b");
}).add('newTab', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    links: [{
      rawString: 'http://t.co/0JG5Mcq',
      displayString: 'blog.twitter.com/2011/05/twitte…',
      url: 'http://blog.twitter.com/2011/05/twitter-for-mac-update.html',
      indices: [2, 21]
    }],
    newTab: true
  }, "a http://t.co/0JG5Mcq b");
}).add('black text, unstyled link', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    links: [{
      rawString: 'http://t.co/0JG5Mcq',
      displayString: 'blog.twitter.com/2011/05/twitte…',
      url: 'http://blog.twitter.com/2011/05/twitter-for-mac-update.html',
      indices: [2, 21]
    }],
    color: "black",
    unstyled: true
  }, "a http://t.co/0JG5Mcq b");
}).add('long text with normal whitespace handling', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    whitespace: "normal"
  }, 'some long text goes here\n\n- item 1\n- item 2\n\nmore text here');
}).add('long text respecting whitespace ', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    whitespace: "pre-wrap"
  }, 'some long text goes here\n\n- item 1\n- item 2\n\nmore text here');
}).add('text with hashtags and mentions', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    links: [{
      displayString: '#hashtah',
      indices: [22, 30],
      rawString: '#hashtah',
      url: 'https://mastodonbooks.net/tags/hashtah',
      className: 'hashtag'
    }, {
      displayString: '@buffer',
      indices: [45, 52],
      rawString: '@buffer',
      url: 'https://mastodonbooks.net/@buffer'
    }],
    whitespace: "pre-wrap"
  }, "This is a text with a #hashtah and a mention @buffer");
}).add('text with incorrect links ', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    links: [{
      rawString: 'http://t.co/0JG5Mcq',
      displayString: 'blog.twitter.com/2011/05/twitte…',
      url: 'http://blog.twitter.com/2011/05/twitter-for-mac-update.html',
      indices: [30, 49]
    }]
  }, "Text without link");
});