"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactKeyframes = require("@bufferapp/react-keyframes");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Icons = require("../Icon/Icons");
var _Text = _interopRequireDefault(require("../Text"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
var renderText = function renderText(children) {
  if (children) {
    return /*#__PURE__*/_react["default"].createElement(_Text["default"], null, children);
  }
};
var iconStyle = {
  position: 'absolute',
  top: 0,
  left: 0,
  width: '1rem',
  height: '1rem',
  transition: 'all 1000ms ease-in-out',
  opacity: 1
};
var hiddenIconStyle = _objectSpread(_objectSpread({}, iconStyle), {}, {
  opacity: 0
});

/* eslint-disable react/prop-types */

var generateKeyFrames = function generateKeyFrames(_ref) {
  var component = _ref.component,
    _ref$delay = _ref.delay,
    delay = _ref$delay === void 0 ? 0 : _ref$delay;
  return /*#__PURE__*/_react["default"].createElement(_reactKeyframes.Keyframes, {
    delay: delay,
    loop: true
  }, /*#__PURE__*/_react["default"].createElement(_reactKeyframes.Frame, {
    duration: 1000
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: hiddenIconStyle
  }, component)), /*#__PURE__*/_react["default"].createElement(_reactKeyframes.Frame, {
    duration: 1000
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: iconStyle
  }, component)));
};

/* eslint-enable react/prop-types */

var Loader = function Loader(_ref2) {
  var children = _ref2.children;
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      textAlign: 'center'
    }
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      position: 'relative',
      margin: '0 auto 1rem auto',
      width: '1rem',
      height: '1rem'
    }
  }, generateKeyFrames({
    component: /*#__PURE__*/_react["default"].createElement(_Icons.BufferTopIcon, null)
  }), generateKeyFrames({
    component: /*#__PURE__*/_react["default"].createElement(_Icons.BufferMiddleIcon, null),
    delay: 250
  }), generateKeyFrames({
    component: /*#__PURE__*/_react["default"].createElement(_Icons.BufferBottomIcon, null),
    delay: 500
  })), renderText(children));
};
Loader.propTypes = {
  children: _propTypes["default"].node
};
var _default = Loader;
exports["default"] = _default;