"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _uuid = _interopRequireDefault(require("uuid"));
var _utils = require("../lib/utils");
var _Image = _interopRequireDefault(require("../Image"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var getImageWrapperHeight = function getImageWrapperHeight(arrayOfImageUrls) {
  if (arrayOfImageUrls.length <= 2) {
    return '100%';
  }
  return '50%';
};
var MultipleImages = function MultipleImages(_ref) {
  var border = _ref.border,
    height = _ref.height,
    urls = _ref.urls,
    width = _ref.width;
  var multipleImagesStyle = (0, _utils.calculateStyles)({
    "default": {
      height: height,
      width: width,
      display: 'flex',
      flexDirection: 'row',
      flexWrap: 'wrap',
      overflow: 'hidden',
      border: '1px solid #B8B8B8'
    },
    rounded: {
      borderRadius: '4px'
    }
  }, {
    rounded: border === 'rounded'
  });
  var imageStyle = {
    flexGrow: 1,
    flexBasis: '50%',
    height: getImageWrapperHeight(urls)
  };
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: multipleImagesStyle
  }, urls.map(function (url) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      style: imageStyle,
      height: height,
      key: (0, _uuid["default"])()
    }, /*#__PURE__*/_react["default"].createElement(_Image["default"], {
      height: '100%',
      objectFit: 'cover',
      src: url,
      verticalAlignBottom: true,
      width: '100%',
      pad: true
    }));
  }));
};
MultipleImages.defaultProps = {
  height: '100%',
  width: '100%'
};
MultipleImages.propTypes = {
  border: _propTypes["default"].string,
  height: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number]),
  urls: _propTypes["default"].arrayOf(_propTypes["default"].string),
  width: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number])
};
var _default = MultipleImages;
exports["default"] = _default;