"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _BufferIcon = _interopRequireDefault(require("../Icon/Icons/BufferIcon"));
var _Text = _interopRequireDefault(require("../Text"));
var _color = require("../style/color");
var _border = require("../style/border");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var navbarStyle = {
  display: 'flex',
  marginBottom: '2rem',
  padding: '1rem',
  width: '100%',
  backgroundColor: _color.white,
  borderBottom: "".concat(_border.borderWidth, " solid ").concat(_color.geyser),
  boxSizing: 'border-box'
};
var appIconStyle = {
  display: 'flex',
  alignItems: 'center',
  marginRight: '0.5rem',
  color: _color.shuttleGray
};
var NavBar = function NavBar(_ref) {
  var title = _ref.title,
    subtitle = _ref.subtitle;
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: navbarStyle
  }, /*#__PURE__*/_react["default"].createElement("span", {
    style: appIconStyle
  }, /*#__PURE__*/_react["default"].createElement(_BufferIcon["default"], null)), /*#__PURE__*/_react["default"].createElement(_Text["default"], {
    weight: 'bold'
  }, title), /*#__PURE__*/_react["default"].createElement(_Text["default"], null, subtitle ? "\xA0".concat(subtitle) : ''));
};
NavBar.propTypes = {
  subtitle: _propTypes["default"].string,
  title: _propTypes["default"].string
};
NavBar.defaultProps = {
  title: 'Buffer'
};
var _default = NavBar;
exports["default"] = _default;