"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Button = _interopRequireDefault(require("../Button"));
var _Text = _interopRequireDefault(require("../Text"));
var _Card = _interopRequireDefault(require("../Card"));
var _Icons = require("../Icon/Icons");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var NotificationIcon = function NotificationIcon(_ref) {
  var type = _ref.type;
  if (type === 'error') {
    return /*#__PURE__*/_react["default"].createElement(_Icons.WarningIcon, {
      color: 'torchRed',
      size: 'large'
    });
  }
  return /*#__PURE__*/_react["default"].createElement(_Icons.CircleCheckmarkIcon, {
    color: 'shamrock',
    size: 'large'
  });
};
var Notification = function Notification(_ref2) {
  var children = _ref2.children,
    onCloseClick = _ref2.onCloseClick,
    type = _ref2.type;
  return /*#__PURE__*/_react["default"].createElement(_Card["default"], {
    noPadding: true,
    noBorder: true,
    shadowHeight: 2
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      display: 'flex'
    }
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      margin: '1rem'
    }
  }, /*#__PURE__*/_react["default"].createElement(NotificationIcon, {
    type: type
  })), /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      flexGrow: 1,
      margin: '1rem 0'
    }
  }, /*#__PURE__*/_react["default"].createElement(_Text["default"], {
    size: 'mini'
  }, children)), /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      margin: '0.5rem 0.5rem 0 1.5rem'
    }
  }, /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    onClick: onCloseClick,
    noStyle: true
  }, /*#__PURE__*/_react["default"].createElement(_Icons.CloseIcon, null)))));
};
Notification.propTypes = {
  children: _propTypes["default"].node.isRequired,
  onCloseClick: _propTypes["default"].func.isRequired,
  type: _propTypes["default"].oneOf(['success', 'error'])
};
Notification.defaultProps = {
  type: 'success'
};
var _default = Notification;
exports["default"] = _default;