"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Overlay = _interopRequireDefault(require("../Overlay"));
var _utils = require("../lib/utils");
var _zIndex = require("../style/zIndex");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var Popover = function Popover(_ref) {
  var children = _ref.children,
    left = _ref.left,
    top = _ref.top,
    bottom = _ref.bottom,
    right = _ref.right,
    width = _ref.width,
    height = _ref.height,
    maxHeight = _ref.maxHeight,
    onOverlayClick = _ref.onOverlayClick,
    transparentOverlay = _ref.transparentOverlay;
  var popoverWrapperStyle = {
    position: 'absolute',
    top: 0,
    left: 0,
    display: 'flex',
    flexDirection: 'column',
    height: '100vh',
    width: "".concat(width || '100vw'),
    justifyContent: 'center',
    alignItems: 'center'
  };
  var onKeyDown = function onKeyDown(event) {
    if (event.key === 'Escape') {
      onOverlayClick();
    }
  };
  (0, _react.useEffect)(function () {
    window.addEventListener('keydown', onKeyDown);
    return function () {
      window.removeEventListener('keydown', onKeyDown);
    };
  }, []);
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: popoverWrapperStyle
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: (0, _utils.calculateStyles)({
      "default": {
        position: 'absolute',
        left: left,
        top: top,
        bottom: bottom,
        right: right,
        height: height,
        maxHeight: maxHeight,
        zIndex: _zIndex.modal
      }
    })
  }, children), /*#__PURE__*/_react["default"].createElement(_Overlay["default"], {
    onClick: onOverlayClick,
    transparent: transparentOverlay
  }));
};
Popover.propTypes = {
  children: _propTypes["default"].node.isRequired,
  left: _propTypes["default"].string,
  top: _propTypes["default"].string,
  bottom: _propTypes["default"].string,
  right: _propTypes["default"].string,
  width: _propTypes["default"].string,
  height: _propTypes["default"].string,
  maxHeight: _propTypes["default"].string,
  onOverlayClick: _propTypes["default"].func,
  transparentOverlay: _propTypes["default"].bool
};
var _default = Popover;
exports["default"] = _default;