"use strict";

var _react = _interopRequireDefault(require("react"));
var _enzyme = require("enzyme");
var _enzymeAdapterReact = _interopRequireDefault(require("enzyme-adapter-react-16"));
var _ButtonStateless = _interopRequireDefault(require("../ButtonStateless"));
var _index = _interopRequireDefault(require("./index"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _enzyme.configure)({
  adapter: new _enzymeAdapterReact["default"]()
});
describe('PseudoClassComponent', function () {
  it('should toggle hovered prop when mouseEnter and mouseLeave are triggered', function () {
    var wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react["default"].createElement(_index["default"], null, /*#__PURE__*/_react["default"].createElement(_ButtonStateless["default"], null, "Hi")));
    var button = wrapper.find(_ButtonStateless["default"]);
    button.simulate('mouseEnter');
    wrapper.update();
    expect(wrapper.find(_ButtonStateless["default"]).props().hovered).toBe(true);
    button.simulate('mouseLeave');
    wrapper.update();
    expect(wrapper.find(_ButtonStateless["default"]).props().hovered).toBe(false);
  });
  it('should toggle focused prop when focus and blur are triggered', function () {
    var wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react["default"].createElement(_index["default"], null, /*#__PURE__*/_react["default"].createElement(_ButtonStateless["default"], null, "Hi")));
    var button = wrapper.find(_ButtonStateless["default"]);
    button.simulate('focus');
    wrapper.update();
    expect(wrapper.find(_ButtonStateless["default"]).props().focused).toBe(true);
    button.simulate('blur');
    wrapper.update();
    expect(wrapper.find(_ButtonStateless["default"]).props().focused).toBe(false);
  });
});