"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _utils = require("../lib/utils");
var _color = _interopRequireWildcard(require("../style/color"));
var _font = require("../style/font");
var _border = require("../style/border");
var _ArrowDownIcon = _interopRequireDefault(require("../Icon/Icons/ArrowDownIcon"));
var _ArrowUpIcon = _interopRequireDefault(require("../Icon/Icons/ArrowUpIcon"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var height = 2.3;
var defaultIconStyle = {
  position: 'absolute',
  top: '0.5rem',
  right: '0.5rem',
  pointerEvents: 'none'
};
var selectWrapperStyle = {
  position: 'relative'
};
var RangeIcon = function RangeIcon() {
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      position: 'absolute',
      top: _border.borderWidth,
      right: _border.borderWidth,
      display: 'flex',
      flexDirection: 'column',
      pointerEvents: 'none',
      height: "".concat(height - _border.borderWidthNumber * 2, "rem"),
      backgroundColor: '#fcfcfc',
      borderLeft: "".concat(_border.borderWidth, " solid ").concat(_color.mystic),
      borderRadiusTopRight: _border.borderRadius,
      borderRadiusBottomRight: _border.borderRadius,
      width: '1rem',
      alignItems: 'center'
    }
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      height: "".concat(height / 2 - _border.borderWidthNumber, "rem"),
      fontFamily: 'none'
    }
  }, /*#__PURE__*/_react["default"].createElement(_ArrowUpIcon["default"], {
    size: "small"
  })), /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      height: "".concat(height / 2 - _border.borderWidthNumber, "rem"),
      fontFamily: 'none'
    }
  }, /*#__PURE__*/_react["default"].createElement(_ArrowDownIcon["default"], {
    size: "small"
  })));
};
var DefaultIcon = function DefaultIcon() {
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: defaultIconStyle
  }, /*#__PURE__*/_react["default"].createElement(_ArrowDownIcon["default"], null));
};

/* eslint-disable react/prop-types */
var SelectIcon = function SelectIcon(_ref) {
  var noStyle = _ref.noStyle,
    rangeSelector = _ref.rangeSelector;
  if (noStyle) {
    return null;
  } else if (rangeSelector) {
    return /*#__PURE__*/_react["default"].createElement(RangeIcon, null);
  }
  return /*#__PURE__*/_react["default"].createElement(DefaultIcon, null);
};
/* eslint-enable react/prop-types */

var Select = function Select(_ref2) {
  var options = _ref2.options,
    onChange = _ref2.onChange,
    disabled = _ref2.disabled,
    noStyle = _ref2.noStyle,
    label = _ref2.label,
    value = _ref2.value,
    centerText = _ref2.centerText,
    rangeSelector = _ref2.rangeSelector,
    color = _ref2.color,
    hovered = _ref2.hovered,
    size = _ref2.size;
  var selectStyle = (0, _utils.calculateStyles)({
    "default": {
      height: "".concat(height, "rem"),
      padding: '0 1.5rem 0 0.5rem',
      fontFamily: _font.fontFamily,
      fontSize: _font.fontSize,
      background: _color.transparent,
      border: "".concat(_border.borderWidth, " solid ").concat(_color.mystic),
      borderRadius: _border.borderRadius,
      appearance: 'none',
      WebkitAppearance: 'none',
      MozAppearance: 'none',
      width: '100%',
      color: _color["default"][color],
      outline: 'none'
    },
    noStyle: {
      height: 'auto',
      border: 0,
      background: 'transparent',
      margin: 0,
      padding: 0
    },
    centerText: {
      textAlignLast: 'center',
      paddingLeft: 0
    },
    rangeSelector: {
      paddingRight: '1rem'
    },
    hovered: {
      cursor: 'pointer'
    },
    // Sizes
    small: {
      fontSize: _font.fontSizeSmall
    },
    mini: {
      fontSize: _font.fontSizeMini
    }
  }, {
    noStyle: noStyle,
    centerText: centerText,
    rangeSelector: rangeSelector,
    hovered: hovered,
    // Sizes
    small: size === 'small',
    mini: size === 'mini'
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: selectWrapperStyle
  }, /*#__PURE__*/_react["default"].createElement("select", {
    style: selectStyle,
    onChange: onChange,
    disabled: disabled,
    "aria-label": label,
    value: value
  }, options.map(function (option) {
    return /*#__PURE__*/_react["default"].createElement("option", {
      key: option.value.toString(),
      value: option.value
    }, option.name);
  })), /*#__PURE__*/_react["default"].createElement(SelectIcon, {
    noStyle: noStyle,
    rangeSelector: rangeSelector
  }));
};
Select.propTypes = {
  options: _propTypes["default"].arrayOf(_propTypes["default"].shape({
    value: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number]),
    name: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number])
  })).isRequired,
  onChange: _propTypes["default"].func,
  disabled: _propTypes["default"].bool,
  noStyle: _propTypes["default"].bool,
  label: _propTypes["default"].string,
  value: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number]),
  centerText: _propTypes["default"].bool,
  rangeSelector: _propTypes["default"].bool,
  color: _propTypes["default"].oneOf(Object.keys(_color["default"])),
  hovered: _propTypes["default"].bool,
  size: _propTypes["default"].oneOf(['small', 'mini'])
};
Select.defaultProps = {
  onChange: function onChange() {},
  disabled: false,
  noStyle: false,
  label: null,
  value: undefined,
  centerText: false,
  rangeSelector: false,
  color: 'shuttleGray'
};
var _default = Select;
exports["default"] = _default;