"use strict";

var _react = _interopRequireDefault(require("react"));
var _react2 = require("@storybook/react");
var _addonActions = require("@storybook/addon-actions");
var _addonA11y = require("@storybook/addon-a11y");
var _index = _interopRequireDefault(require("./index"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var options = [{
  name: 'London',
  value: 'London'
}, {
  name: 'New York',
  value: 'New York'
}, {
  name: 'San Francisco',
  value: 'San Francisco'
}, {
  name: 'Tokyo',
  value: 'Tokyo'
}, {
  name: 'Llanfairpwllgwyngyllgogerychwyrndrobwllllantysiliogogogoch',
  value: 'Llanfairpwllgwyngyllgogerychwyrndrobwllllantysiliogogogoch'
} // http://www.fun-with-words.com/longest_place_names.html
];

(0, _react2.storiesOf)('Select', module).addDecorator(_addonA11y.withA11y).add('default', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    options: options,
    onChange: (0, _addonActions.action)('on-change')
  });
}).add('with value set', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    options: options,
    value: "Tokyo",
    onChange: (0, _addonActions.action)('on-change')
  });
}).add('noStyle', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    options: options,
    value: "Tokyo",
    onChange: (0, _addonActions.action)('on-change'),
    noStyle: true
  });
}).add('short numbers', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    options: [{
      name: 1,
      value: 1
    }, {
      name: 2,
      value: 2
    }],
    value: 2,
    onChange: (0, _addonActions.action)('on-change')
  });
}).add('center text', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    options: [{
      name: 1,
      value: 1
    }, {
      name: 2,
      value: 2
    }],
    value: 2,
    onChange: (0, _addonActions.action)('on-change'),
    centerText: true,
    noStyle: true
  });
}).add('rangeSelector', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    options: [{
      name: 1,
      value: 1
    }, {
      name: 2,
      value: 2
    }],
    value: 2,
    onChange: (0, _addonActions.action)('on-change'),
    rangeSelector: true
  });
}).add('rangeSelector centerText', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    options: [{
      name: 1,
      value: 1
    }, {
      name: 2,
      value: 2
    }],
    value: 2,
    onChange: (0, _addonActions.action)('on-change'),
    centerText: true,
    rangeSelector: true
  });
}).add('with text color', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    options: options,
    value: "Tokyo",
    onChange: (0, _addonActions.action)('on-change'),
    color: "curiousBlue"
  });
}).add('small', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    options: options,
    onChange: (0, _addonActions.action)('on-change'),
    size: "small"
  });
}).add('mini', function () {
  return /*#__PURE__*/_react["default"].createElement(_index["default"], {
    options: options,
    onChange: (0, _addonActions.action)('on-change'),
    size: "mini"
  });
});