"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _HoverableText = _interopRequireDefault(require("../HoverableText"));
var _Link = _interopRequireDefault(require("../Link"));
var _color = require("../style/color");
var _utils = require("../lib/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var Tab = function Tab(_ref) {
  var children = _ref.children,
    selected = _ref.selected,
    tabId = _ref.tabId,
    _onClick = _ref.onClick;
  var style = (0, _utils.calculateStyles)({
    "default": {
      display: 'inline-block',
      padding: '0.75rem 1rem',
      borderRadius: '4px'
    },
    selected: {
      backgroundColor: _color.curiousBlueUltraLight
    }
  }, {
    selected: selected
  });
  return /*#__PURE__*/_react["default"].createElement(_Link["default"], {
    href: '#',
    unstyled: true,
    onClick: function onClick(e) {
      e.preventDefault();
      _onClick(tabId);
    }
  }, /*#__PURE__*/_react["default"].createElement("span", {
    style: style
  }, /*#__PURE__*/_react["default"].createElement(_HoverableText["default"], {
    color: "shuttleGray",
    hoverColor: "black",
    weight: selected ? 'bold' : null
  }, children)));
};
Tab.propTypes = {
  children: _propTypes["default"].node,
  selected: _propTypes["default"].bool,
  onClick: _propTypes["default"].func,
  tabId: _propTypes["default"].string
};
Tab.defaultProps = {
  selected: false
};
var _default = Tab;
exports["default"] = _default;