"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Text = _interopRequireDefault(require("../Text"));
var _Button = _interopRequireDefault(require("../Button"));
var _color = require("../style/color");
var _border = require("../style/border");
var _animation = require("../style/animation");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var Toggle = function Toggle(_ref) {
  var on = _ref.on,
    onClick = _ref.onClick,
    onText = _ref.onText,
    offText = _ref.offText,
    disabled = _ref.disabled,
    size = _ref.size;
  return /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    noStyle: true,
    onClick: onClick,
    disabled: disabled
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      display: 'flex',
      opacity: disabled ? 0.5 : undefined
    }
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      height: '1rem'
    }
  }, /*#__PURE__*/_react["default"].createElement(_Text["default"], {
    size: size
  }, on ? onText : offText)), /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      position: 'relative',
      height: '1rem',
      width: '2rem',
      marginLeft: '0.5rem'
    }
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      position: 'absolute',
      top: 1,
      left: 1,
      bottom: 0,
      right: 0,
      borderRadius: '2rem',
      background: on ? _color.curiousBlue : _color.offWhite,
      border: "".concat(_border.borderWidth, " solid ").concat(on ? _color.curiousBlue : _color.outerSpaceLight),
      transition: "background ".concat(_animation.transitionAnimationTime, " ").concat(_animation.transitionAnimationType, ", border ").concat(_animation.transitionAnimationTime, " ").concat(_animation.transitionAnimationType)
    }
  }), /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      position: 'absolute',
      height: '1rem',
      width: '1rem',
      top: 0,
      left: on ? 'calc(100% - 1rem)' : '0%',
      borderRadius: '50%',
      background: _color.offWhite,
      border: "".concat(_border.borderWidth, " solid ").concat(on ? _color.curiousBlue : _color.outerSpaceLight),
      transition: "left ".concat(_animation.transitionAnimationTime, " ").concat(_animation.transitionAnimationType, ", border ").concat(_animation.transitionAnimationTime, " ").concat(_animation.transitionAnimationType)
    }
  }))));
};
Toggle.propTypes = {
  on: _propTypes["default"].bool,
  onClick: _propTypes["default"].func.isRequired,
  onText: _propTypes["default"].string,
  offText: _propTypes["default"].string,
  disabled: _propTypes["default"].bool,
  size: _propTypes["default"].oneOf(['extra-small', 'large', 'extra-large', 'mini', 'small'])
};
Toggle.defaultProps = {
  on: false,
  onText: 'Enabled',
  offText: 'Disabled',
  disabled: false
};
var _default = Toggle;
exports["default"] = _default;