"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _utils = require("../lib/utils");
var _border = require("../style/border");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var Video = function Video(_ref) {
  var sources = _ref.sources,
    controls = _ref.controls,
    width = _ref.width,
    height = _ref.height,
    border = _ref.border;
  var style = (0, _utils.calculateStyles)({
    "default": {},
    rounded: {
      borderRadius: _border.borderRadius
    }
  }, {
    rounded: border === 'rounded'
  });
  return /*#__PURE__*/_react["default"].createElement("video", {
    style: style,
    controls: controls,
    width: width,
    height: height
  }, sources.map(function (source, i) {
    return /*#__PURE__*/_react["default"].createElement("source", {
      key: i,
      src: source.src,
      type: "video/".concat(source.type)
    });
  }), 'Your Browser Does Not Support Video');
};
Video.propTypes = {
  border: _propTypes["default"].oneOf(['rounded']),
  controls: _propTypes["default"].bool,
  height: _propTypes["default"].string,
  sources: _propTypes["default"].arrayOf(_propTypes["default"].shape({
    src: _propTypes["default"].string.isRequired,
    type: _propTypes["default"].string.isRequired
  })),
  width: _propTypes["default"].string
};
Video.defaultProps = {
  controls: true,
  sources: []
};
var _default = Video;
exports["default"] = _default;