"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseColor = exports.mergeStyles = exports.calculateStyles = exports.calcActiveStyles = void 0;
var _color = _interopRequireDefault(require("../style/color"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
var calcActiveStyles = function calcActiveStyles() {
  var styleSwitches = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var activeStyles = ['default'];
  Object.keys(styleSwitches).forEach(function (styleKey) {
    if (styleSwitches[styleKey]) {
      activeStyles.push(styleKey);
    }
  });
  return activeStyles;
};
exports.calcActiveStyles = calcActiveStyles;
var mergeStyles = function mergeStyles() {
  var styles = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  return styles.reduce(function (p, c) {
    return _objectSpread(_objectSpread({}, p), c);
  }, {});
};
exports.mergeStyles = mergeStyles;
var calculateStyles = function calculateStyles() {
  var styles = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var switches = arguments.length > 1 ? arguments[1] : undefined;
  if (!styles["default"]) {
    throw new Error('missing `default` style');
  }
  var activeStyles = calcActiveStyles(switches).map(function (activeStyle) {
    if (!(activeStyle in styles)) {
      throw new Error("style `".concat(activeStyle, "` is not an available style"));
    }
    return styles[activeStyle];
  });
  return mergeStyles(activeStyles);
};
exports.calculateStyles = calculateStyles;
var parseColor = function parseColor(color) {
  if (_color["default"][color]) {
    return _color["default"][color];
  }
  return color;
};
exports.parseColor = parseColor;